Index: src/util.cpp
===================================================================
--- src/util.cpp	(revision 793)
+++ src/util.cpp	(working copy)
@@ -4645,7 +4645,11 @@
     if (fn->count()==1)
     {
       FileDef *fd = fn->getFirst();
-      if (path.isEmpty() || fd->getPath().right(path.length())==path)
+
+      // bug 172138 the comparison to add the path to cache needs to be case insensitive.
+      bool isSamePath= fd->getPath().right(path.length()).lower() == path.lower();
+
+      if (path.isEmpty() || isSamePath)
       {
         cachedResult->fileDef = fd;
         g_findFileDefCache.insert(key,cachedResult);
